> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpointy-dlya-dostupa-k-prostranstvennym-dannym.md).

# Гео-эндпоинты для доступа к пространственным данным

{% hint style="success" %}
GeoPard использует <https://www.ogc.org/> форматы данных Open Geospatial Consortium, такие как WMS для изображений и WFS для векторных данных. Также для импорта и экспорта мы работаем с shapefile. Движок гибок и позволяет импортировать и экспортировать данные в любом из этих форматов. Для спутниковых снимков мы работаем с [COG (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Чтобы выполнять запросы WMS/WFS, необходимо установить Postman.
{% endhint %}

{% hint style="info" %}
Каждый запрос должен быть подписан заголовком HEADER "Authorization" (туда нужно поместить токен) или URL-параметром "geopardApiKey " (туда нужно поместить пользовательский API-ключ).
{% endhint %}

WMS API endpoints хранятся в атрибутах "geoMaps" сущностей "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset". Проверьте [GeoPard DataScheme.](/geopard-tutorials/ru/dokumentaciya-api/skhema-dannykh-api-geopard.md)

WFS API endpoints хранятся в "boundaryUrl", "zonesMapUrl" и "attributesUrl" сущностей "Field" и "VectorAnalysisMap".

{% hint style="info" %}
Мы рекомендуем использовать проекцию EPSG:900913 вместо EPSG:3857, чтобы получать более точные изображения.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpointy-dlya-dostupa-k-prostranstvennym-dannym.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
